Pkgcheck Warnings

  • All Versions
    • ExcessiveLineLength
      excessive line length (over 120 characters) on lines: 44, 50
    • DroppedKeywords
      amd64-linux, arm64-macos, ppc-macos, x64-macos, x64-solaris, x86-linux
    • DeprecatedEapi
      uses deprecated EAPI 6
    • MisplacedWeakBlocker
      DEPEND: misplaced weak blocker: !<=dev-build/autoconf-2.63:2.5
  • 1.51.0
    • DroppedKeywords
      amd64-linux, arm64-macos, ppc-macos, x64-macos, x64-solaris, x86-linux
  • 1.42.4-r2
    • ExcessiveLineLength
      excessive line length (over 120 characters) on lines: 44, 50
    • DeprecatedEapi
      uses deprecated EAPI 6
    • MisplacedWeakBlocker
      DEPEND: misplaced weak blocker: !<=dev-build/autoconf-2.63:2.5

Pkgcheck is used regularly to generate QA reports. Pkgcheck is a pkgcore-based QA utility for ebuild repos.